Subject: [PATCH v2 1/2] regulator: add support for regulators on the ab8500 MFD

From: [email-masked] (Mark Brown)
Date: Wed, 27 Oct 2010 10:33:41 -0700

On Wed, Oct 27, 2010 at 02:25:44PM -0200, Thiago Farina wrote:

> Shouldn't be this returning 1 instead of true and 0 instead false
> (since the return type is int not bool)?

There is no reason to do this, logical values are treated as 0 and 1 in
C.  Using false and true is clear and won't cause any difference in
code.

> Maybe like this?
> return (ret & info->mask) ? 1: 0;

No, that's needlessly obfuscated.